<template>
  <div class="min-h-screen green-gradient-secondary">
    <div id="wrapper" v-if="!is_detail">
      <div
        id="gift-wrapper"
        class="
          grid
          gap-5
          h-full
          mx-auto
          w-10/12
          grid-cols-1
          md:grid-cols-2
          lg:grid-cols-3
        "
      >
        <div
          v-if="index <= load_more"
          v-for="(gift, index) in mock_data"
          :key="index"
          class="relative bg-white cursor-pointer rounded-xl"
          style="height: 415px"
          @click="openDetail(gift)"
        >
          <GiftWrapper :gift="gift" />
        </div>
      </div>
      <div class="mx-auto my-10 w-max">
        <div
          @click="load_more += 6"
          class="
            px-8
            py-3
            text-base text-white
            border border-white
            rounded-full
            cursor-pointer
          "
        >
          Load more
        </div>
      </div>
    </div>
    <DetailWrapper :selected="selected" v-if="is_detail" class="text-black-400">
      <p class="text-base">{{ selected.description }}</p>
      <div id="How to get gift" class="my-5">
        <p class="mb-3 text-xl font-bold">How to get gift</p>
        <p>{{ selected.how_to_gift }}</p>
      </div>
      <div class="my-5">
        <p class="mb-3 text-xl font-bold">Branch to get gift</p>
        <ul class="list-disc list-inside">
          <li
            v-for="gift in selected.branch_to_gift"
            :key="gift"
            v-html="gift"
          ></li>
        </ul>
      </div>
      <div id="Term & Condition">
        <p class="mb-3 text-xl font-bold">Term & Condition</p>
        <p>{{ selected.term_and_condition }}</p>
      </div>
    </DetailWrapper>
  </div>
</template>

<script>
import { mock_gift_update_data_list } from "../mock_data/mock_gift_update_data_list"
export default {
  data() {
    return {
      mock_data: mock_gift_update_data_list,
      load_more: 5,
      is_detail: false,
      selected: "",
    }
  },
  methods: {
    openDetail(gift) {
      this.is_detail = !this.is_detail
      this.selected = gift
    },
  },
}
</script>

<style scoped>
#new-tag {
  background: linear-gradient(
    94.39deg,
    #5abbaf 0%,
    #40d193 56.48%,
    #78f0a9 83.05%,
    #8cefb6 97.75%
  );
}
</style>
